#pragma TASS input 
int a;
#pragma TASS input 
int b;

#pragma TASS abstract continuous(4) double u(double x, double y); 

void main() {
	double c;
	int d;
	
	c = u(1.0, 2.0);
	d = f(a, b);
	//  #pragma TASS assert(f(c,d) == a + b + u(1.0,2.0));
}

int f(int m, int n) {
	return m+n;
}

